org.apache.lucene.benchmark.byTask.feeds

## Class DocData

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.DocData

-     public class DocData
      extends java.lang.Object

  Output of parsing (e.g. HTML parsing) of an input document.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `java.lang.String` | `getBody()`
    `java.lang.String` | `getDate()`
    `java.lang.String` | `getName()`
    `java.util.Properties` | `getProps()`
    `java.lang.String` | `getTitle()`
    `void` | `setBody(java.lang.String body)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setDate(java.lang.String date)`
    `void` | `setName(java.lang.String name)`
    `void` | `setProps(java.util.Properties props)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocData

          public DocData()

  - ### Method Detail

    - #### clear

          public void clear()

    - #### getBody

          public java.lang.String getBody()

    - #### getDate

          public java.lang.String getDate()

      Returns:
        the date. If the ctor with Date was called, then the String returned is the output of `DateTools.dateToString(Date, org.apache.lucene.document.DateTools.Resolution)` . Otherwise it's the String passed to the other ctor.

    - #### getName

          public java.lang.String getName()

    - #### getProps

          public java.util.Properties getProps()

    - #### getTitle

          public java.lang.String getTitle()

    - #### setBody

          public void setBody(java.lang.String body)

    - #### setDate

          public void setDate(java.util.Date date)

    - #### setDate

          public void setDate(java.lang.String date)

    - #### setName

          public void setName(java.lang.String name)

    - #### setProps

          public void setProps(java.util.Properties props)

    - #### setTitle

          public void setTitle(java.lang.String title)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.